#All written as functions and using glob to get a list of files

import matplotlib.pyplot as plt
import numpy as np
import glob

#Read header data
def read_header(headername):
    header = {}
    f = open(headername)
    for l in f.readlines():
        key, value = l.split()
        #Reading mixed int/float, try and ask forgiveness...
        try:
            header[key] = int(value)
        except ValueError: 
            header[key] = float(value)
    return header

def get_files(foldername, basename):
    files = glob.glob(foldername + basename + "*")
    files.sort()
    return files

def read_file(filename):
    return np.fromfile(open(filename,'rb'), dtype='d')


foldername = './binary/'
headername = 'header'
filename = 'filename'
header = read_header(foldername + headername)
files = get_files(foldername, filename)
for f in files:
    data = read_file(f)
    field = data.reshape(header['Nx'],header['Nz'])
    plt.imshow(field)
    plt.colorbar()
    plt.show()
