#This is the most basic script to read but including a header to get 
# header data about the various files
import matplotlib.pyplot as plt
import numpy as np

#Read header data
header = {}
f = open('./binary/header')
for l in f.readlines():
    key, value = l.split()
    #Reading mixed int/float, try and ask forgiveness...
    try:
        header[key] = int(value)
    except ValueError: 
        header[key] = float(value)

#Get files to read assuming known format
files = []
for i in range(header['Nrecs']):
    if i < 10:
        filename = "./binary/filename0000"+str(i)  
    elif i < 100:
        filename = "./binary/filename000"+str(i)  
    else:
        raise IndexError("filename00099 maximum supported")
    files.append(filename)

#Loop through files
for f in files:

    #Read data from files
    data = np.fromfile(open(f,'rb'), dtype='d')
    field = data.reshape(header['Nx'],header['Nz'])

    #Plot data
    plt.imshow(field.T)
    plt.colorbar()
    plt.show()
