import matplotlib.pyplot as plt
from matplotlib.widgets import Slider
import postproclib as ppl

#function which loads new record based on input
def update(i):
    print("Loading record = ", int(i))
    f = pp.read_field(int(i))
    cm.set_array(f.ravel())
    plt.draw()

#Get postproc object and plot
initrec = 0
pp = ppl.postproc_binary('./binary/', 'header', 'filename')
f = pp.read_field(initrec)
cm = plt.pcolormesh(f)
plt.axis("tight")

#Adjust figure to make room for slider
plt.subplots_adjust(bottom=0.2)
axslide = plt.axes([0.15, 0.1, 0.75, 0.03])

#Bind update function to slider change
s = Slider(axslide, 'Record', 0, pp.get_Nrecs()-0.01, valinit=initrec)
s.on_changed(update)
plt.show()




