import matplotlib.pyplot as plt
import glob
import numpy as np

def read_header(headername):
    """
    Return a dictonary of
    header information
    from the header file
    """
    header = {}
    f = open(headername)
    for l in f.readlines():
        key, value = l.strip("\n").split(" ")
        try:
            header[key] = int(value)
        except ValueError:
            header[key] = float(value)

    return header

def get_files(foldername, filename):
    """
    Return a list  
    of all files in folder
    """
    files = glob.glob(foldername+filename+'*')
    files.sort()
    return files

def read_file(filename):
    """
    Read the contents 
    of each file
    """
    return np.genfromtxt(filename) 


foldername = './column/'
header = read_header(foldername+'header')
print(header)
files = get_files(foldername, filename='filename')
for f in files:
    data = read_file(f)
    field = data.reshape(header['Nx'],header['Nz'])
    plt.imshow(field)
    plt.colorbar()
    plt.show()
